Skip to content

SMS

Index

Get SMS information

Get information about an SMS delivery by its ID.

Will return the phone number, message length, number of message parts, and delivery status of the SMS.

Request
GET https://smartpages-api.smartsolutions.is/api/v1/sms/{id}
Response
Example
{ "id": "19700910-7195-4d57-b402-886ff7439e44", "sender": "MyCompany", "recipient": "+3541234567", "messageParts": 1, "messageLength": 75, "whenCreated": "2025-07-15T12:00:00.000Z", "passId": "21ba9a96-fb86-4e56-a390-3c8df69903f7", "delivered": true, "statuses": [ { "status": "CREATED", "timestamp": "2026-06-11T12:00:00.000Z" }, { "status": "PENDING", "timestamp": "2026-06-11T12:00:01.000Z" }, { "status": "SENT", "timestamp": "2026-06-11T12:00:01.200Z" }, { "status": "DELIVERED", "timestamp": "2026-06-11T12:00:03.000Z" } ] }
Fields details
id UUID
ID of the SMS
sender string
The Sender Identity
recipient string
The Phone Number the SMS was sent to.
passId UUID Optional
The Pass the SMS was sent for, if any.
messageParts integer
How many parts the message was split into, as per carrier requirements.
messageLength integer
How long the message is in characters.
whenCreated timestampz
When the SMS message was queued for delivery.
delivered boolean
Whether the SMS message has been delivered to the recipient. This is a terminal state, once this is true, the message will not be routed anymore.
statuses array
Delivery statuses for the message
status enum
Possible values:
- "CREATED": SMS Record was created
- "PENDING": SMS has been queued for delivery
- "SENT": SMS has been sent
- "SCHEDULED": SMS was scheduled for later delivery
- "DELIVERED": SMS has been delivered - Terminal state
- "EXPIRED": SMS message expires (routed too many times without resolution) - Terminal state
- "ACCEPTED": The network carrier accepted the message, but won't give more information on delivery - Terminal state
- "REJECTED": The network carrier rejected the message - Terminal state
- "FAILED": Delivery failed. - Terminal state
timestamp timestampz
When this delivery state was entered.
Code example
const myHeaders = new Headers();
myHeaders.append("Content-Type", "application/json");
myHeaders.append("Authorization", "Bearer <base64(KEY_ID:KEY_TOKEN)>");
const requestOptions = {
method: "GET",
headers: myHeaders,
redirect: "follow"
};
try {
const response = await fetch("https://smartpages-api.smartsolutions.is/api/v1/sms/{id}", requestOptions);
const result = await response.text();
console.log(result)
} catch (error) {
console.error(error);
};